# Mandatory public dependency on Boost.
find_package(Boost 1.60 REQUIRED serialization)

if(ON)
    find_package(mp++ REQUIRED CONFIG)
    if(${mp++_VERSION} VERSION_LESS 0.23)
        message(FATAL_ERROR "mp++ >= 0.23 is required.")
    endif()
endif()

# Signal that heyoka was built with
# optional deps.
set(heyoka_WITH_SLEEF ON)
set(heyoka_WITH_MPPP ON)

# Record the LLVM major version against which
# heyoka was built.
set(heyoka_LLVM_VERSION_MAJOR 12)

# Get current dir.
get_filename_component(_HEYOKA_CONFIG_SELF_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

include(${_HEYOKA_CONFIG_SELF_DIR}/heyoka_export.cmake)

# Clean up.
unset(_HEYOKA_CONFIG_SELF_DIR)
